Subject: Re: bug#79173: 30.1; TRAMP simplified syntax produces empty completing-read candidates

From: Michael Albinus <[email-masked]>
Date: Thu, 07 Aug 2025 14:48:09 +0200

Reuben Thomas <[email-masked]> writes:

Hi Reuben,

> I think there may be some confusion here. I am using Emacs 30, and
> have never tested Emacs 31. I applied your patch to Tramp 2.8.0.1, and
> found the different error, which you diagnosed as a vertico bug, in
> Emacs 30.

After I've sent my message, I've realized that I should test with Emacs
30. So I did. I've transformed you recipe into the shell command

--8<---------------cut here---------------start------------->8---
# ~/src/emacs-30/src/emacs -Q -l ~/.emacs.d/elpa/compat-30.1.0.0/compat-autoloads.el -l ~/.emacs.d/elpa/seq-2.24/seq-autoloads.el -l ~/.emacs.d/elpa/vertico-2.4/vertico-autoloads.el -L /home/albinus/src/tramp/lisp -l tramp --eval "(tramp-change-syntax 'simplified)" -f vertico-mode
--8<---------------cut here---------------end--------------->8---

/home/albinus/src/tramp is the master branch of Tramp, including the
patch. This is what will be Tramp 2.8.0.2.

Typing 'C-x C-f /' works as expected.

Best regards, Michael.